#include <stdio.h>
#include "ymw.h"
#include "lists.h"

char *rbv_list[] = {
/*00*/"Dark",
/*01*/"Death",
/*02*/"NoMob",
/*03*/"Indoors",
/*04*/"Peaceful",
/*05*/"SoundProof",
/*06*/"NoTrack",
/*07*/"NoMagic",
/*08*/"Tunnel",
/*09*/"Private",
/*10*/"GodRoom"
};

char *stype_list[] = {
/*00*/"Inside",
/*01*/"City",
/*02*/"Field",
/*03*/"Forest",
/*04*/"Hills",
/*05*/"Mountain",
/*06*/"Water - Swimmable",
/*07*/"Water - Not Swimmable",
/*08*/"Underwater",
/*09*/"Flying"
};
/*
char *object_type_list[] = {
/00/"Light",
/01/"Scroll",
/02/"Wand",
/03/"Staff",
/04/"Weapon",
/05/"-Fireweapon",
/06/"-Missile",
/07/"Treasure",
/08/"Armor",
/09/"Potion",
/10/"-Worn",
/11/"Other",
/12/"Trash",
/13/"-Trap",
/14/"Container",
/15/"Note",
/16/"Drink Container",
/17/"Key",
/18/"Food",
/19/"Money",
/20/"Pen",
/21/"Boat",
/22/"Fountain"
}; */

char *object_type_list[] = {
/*00*/"Light",
/*01*/"Scroll",
/*02*/"Wand",
/*03*/"Staff",
/*04*/"Weapon",
/*05*/"-Fireweapon",
/*06*/"-Missile",
/*07*/"Treasure",
/*08*/"Armor",
/*09*/"Potion",
/*10*/"-Worn",
/*11*/"Other",
/*12*/"Trash",
/*13*/"-Trap",
/*14*/"Container",
/*15*/"Note",
/*16*/"Drink Container",
/*17*/"Key",
/*18*/"Food",
/*19*/"Money",
/*20*/"Pen",
/*21*/"Boat",
/*22*/"Fountain"
};

char *object_ebv_list[] = {
/*00*/"Glow",
/*01*/"Hum",
/*02*/"No rent",
/*03*/"No donate",
/*04*/"No invis",
/*05*/"Invisible",
/*06*/"Magic",
/*07*/"No Drop",
/*08*/"Bless",
/*09*/"Anti-Good",
/*10*/"Anti-Evil",
/*11*/"Anti-Neutral",
/*12*/"Anti-Magic",
/*13*/"Anti-Cleric",
/*14*/"Anti-Theif",
/*15*/"Anti-Warrior",
/*16*/"No sell"
};

char *object_wbv_list[] = {
/*00*/"Take",
/*01*/"Finger",
/*02*/"Neck",
/*03*/"Body",
/*04*/"Head",
/*05*/"Legs",
/*06*/"Feet",
/*07*/"Hands",
/*08*/"Arms",
/*09*/"Shield",
/*10*/"About",
/*11*/"Waist",
/*12*/"Wrist",
/*13*/"Wield",
/*14*/"Hold"
};

char *object_affects_list[] = {
/*00*/"Nothing (place-holder)",
/*01*/"Strength",
/*02*/"Dexterity",
/*03*/"Intelligence",
/*04*/"Wisdom",
/*05*/"Constitution",
/*06*/"Charisma",
/*07*/"-Class",
/*08*/"-Level",
/*09*/"Age",
/*10*/"Weight",
/*11*/"Height",
/*12*/"Max Mana Points",
/*13*/"Max Hit Points",
/*14*/"Max Movement Points",
/*15*/"-Gold",
/*16*/"-Experiance",
/*17*/"Armor Class (AC)",
/*18*/"Hit-Roll",
/*19*/"Damage-Roll Bonus",
/*20*/"Save Throw (Paralyse)",
/*21*/"Save Throw (Rods)",
/*22*/"Save Throw (Petrif)",
/*23*/"Save Throw (Breath)",
/*24*/"Save Throw (Spells)",
};

char *spell_list[] = {
/*00*/"None",
/*01*/"Animate Dead",
/*02*/"Armor",
/*03*/"Bless",
/*04*/"Blindness",
/*05*/"Burning Hands",
/*06*/"Call Lightning",
/*07*/"Charm",
/*08*/"Chill Touch",
/*09*/"Clone",
/*10*/"Color Spray",
/*11*/"Control Weather",
/*12*/"Create Food",
/*13*/"Create Water",
/*14*/"Cure Blind",
/*15*/"Cure Critic",
/*16*/"Cure Light",
/*17*/"Curse",
/*18*/"Detect Align",
/*19*/"Detect Invis",
/*20*/"Detect Magic",
/*21*/"Detect Poison",
/*22*/"Dispel Evil",
/*23*/"Dispel Good",
/*24*/"Earthquake",
/*25*/"Enchant Weapon",
/*26*/"Energy Drain",
/*27*/"Fireball",
/*28*/"Group Armor",
/*29*/"Group Heal",
/*30*/"Group Recall",
/*31*/"Harm",
/*32*/"Heal",
/*33*/"Identify",
/*34*/"Infravision",
/*35*/"Invisible",
/*36*/"Lightning Bolt",
/*37*/"Locate Object",
/*38*/"Magic Missile",
/*39*/"Poison",
/*40*/"Protection From Evil",
/*41*/"Remove Curse",
/*42*/"Remove Poison",
/*43*/"Sanctuary",
/*44*/"Sense Life",
/*45*/"Shocking Grasp",
/*46*/"Sleep",
/*47*/"Strength",
/*48*/"Summon",
/*49*/"Teleport",
/*50*/"Ventriloquate",
/*51*/"WaterWalk",
/*52*/"Word of Recall"
};

char *damage_message_list[] = {
/*00*/"hit/hits",
/*01*/"sting/stings",
/*02*/"whip/whips",
/*03*/"slash/slashes",
/*04*/"bite/bites",
/*05*/"bludgeon/bludgeons",
/*06*/"crush/crushes",
/*07*/"pound/pounds",
/*08*/"claw/claws",
/*09*/"maul/mauls",
/*10*/"thrash/thrashes",
/*11*/"pierce/pierces",
/*12*/"blast/blasts",
/*13*/"punch/punches",
/*14*/"stab/stabs"
};

char *container_bv_list[] = {
/*00*/"Closeable",
/*01*/"Pickproof",
/*02*/"Closed",
/*03*/"Locked"
};

char *liquid_list[] = {
/*00*/"Water",
/*01*/"Beer",
/*02*/"Wine",
/*03*/"Ale",
/*04*/"Darkale",
/*05*/"Whisky",
/*06*/"Lemonade",
/*07*/"Firebreather",
/*08*/"Local Speciality",
/*09*/"Slime",
/*10*/"Milk",
/*11*/"Tea",
/*12*/"Coffee",
/*13*/"Blood",
/*14*/"Saltwater",
/*15*/"Clearwater",
};
/*
char *mobile_act_list[] = {
/ 00 /"SpecProc (+request)",
/ 01 /"Sentinel",
/ 02 /"Scavenger",
/ 03 /"Aware",
/ 04 /"Aggressive (All)",
/ 05 /"Zone-Bound",
/ 06 /"Wimpy",
/ 07 /"Aggressive (Evil)",
/ 08 /"Aggressive (Good)",
/ 09 /"Aggressive (Neutral)",
/ 10 /"Memory",
/ 11 /"Helper",
/ 12 /"No Charm",
/ 13 /"No Summon",
/ 14 /"No Sleep",
/ 15 /"No Bash",
/ 16 /"No Blind"
};*/

BVLIST mobile_act_list[] = {
/*00*/{ "SpecProc (+request)",       0 },
/*01*/{ "Sentinel",                  1 },
/*02*/{ "Scavenger",                 2 },
/*03*/{ "Aware",                     4 },
/*04*/{ "Aggressive (All)",          5 },
/*05*/{ "Zone-Bound",                6 },
/*06*/{ "Wimpy",                     7 },
/*07*/{ "Aggressive (Evil)",         8 },
/*08*/{ "Aggressive (Good)",         9 },
/*09*/{ "Aggressive (Neutral)",      10 },
/*10*/{ "Memory",                    11 },
/*11*/{ "Helper",                    12 },
/*12*/{ "No Charm",                  13 },
/*13*/{ "No Summon",                 14 },
/*14*/{ "No Sleep",                  15 },
/*15*/{ "No Bash",                   16 },
/*16*/{ "No Blind",                  17 },
      { NULL,                        -1 }
};

BVLIST mobile_aff_list[] = {
/*00*/{ "Blind",                     0 },
/*01*/{ "Invisible",                 1 },
/*02*/{ "Allignment sensitive",      2 },
/*03*/{ "Ivisibility sensitive",     3 },
/*04*/{ "Magic sensitive",           4 },
/*05*/{ "Hidden Life sensitive",     5 },
/*06*/{ "WaterWalk",                 6 },
/*07*/{ "Sanctuary",                 7 },
/*08*/{ "Cursed",                    9 },
/*09*/{ "Infravision",               10 },
/*10*/{ "Evil protection",           12 },
/*11*/{ "Good protection",           13 },
/*12*/{ "Untrackable",               15 },
/*13*/{ "Sneaky",                    18 },
/*14*/{ "Hidden Life",               19 },
      { NULL,                        -1 }
};

char *shop_bv_list[] = {
/*00*/"Battle-able",
/*01*/"Will bank money",
};

char *shop_withwho_bv_list[] = {
/*00*/"Ignore good",
/*01*/"Ignore evil",
/*02*/"Ignore neutral",
/*03*/"Ignore mages",
/*04*/"Ignore clerics",
/*05*/"Ignore theives",
/*06*/"Ignore warriors",
};

char *shop_temper_list[] = {
/*00*/"No additional action",
/*01*/"Puke on player (aes)",
/*02*/"Smoke a joint (aes)",
};

char *zone_command_desc[] = {
/*00*/"Load object \"%s\" (max=%d)",
/*01*/"Load mobile \"%s\" (max=%d)",
/*02*/"Give last-mob \"%s\" (max=%d)",
/*03*/"Equip last-mob with \"%s\" (max=%d)%s",
/*04*/"Put \"%s\" (max=%d) in \"%s\"",
/*05*/"Delete obj \"%s\"",
};

char *zone_command_wear_desc[] = {
/*00*/", as a light",
/*01*/", on right finger",
/*02*/", on left finger",
/*03*/", around neck (first)",
/*04*/", around neck (seccond)",
/*05*/", on body",
/*06*/", on head",
/*07*/", on legs",
/*08*/", on feet",
/*09*/", on hands",
/*10*/", on arms",
/*11*/", as a shield",
/*12*/", about body",
/*13*/", around waist",
/*14*/", around right wrist",
/*15*/", around left wrist",
/*16*/", weilded as weapon",
/*17*/", held in hands",
};

BVLIST mob_positions[] = {
/*00*/{ "Sleeping",                  4 },
/*01*/{ "Resting",                   5 },
/*02*/{ "Sitting",                   6 },
/*03*/{ "Standing",                  8 },
      { NULL,                        -1 }
};
